complexType "BasketConstituent"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference??, underlyingAsset, constituentWeight?, underlyerPrice?, underlyerNotional?, underlyerSpread?, underlyerFinancing?, underlyerLoanRate?, underlyerCollateral?
</...>

Content Model Elements (9):

  constituentWeight (in basketConstituent), payerPartyReference (defined in PayerReceiver.model group), underlyerCollateral, underlyerFinancing, underlyerLoanRate, | underlyerNotional, underlyerPrice, underlyerSpread, underlyingAsset

All Direct / Indirect Based Elements (1):

  basketConstituent

Known Usage Locations

- As direct type of elements (1):
  basketConstituent

Annotation
A type describing each of the constituents of a basket.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="BasketConstituent"> <xsd:sequence> <!-- APP added for EQS PSA CFD proposal --> <xsd:group minOccurs="0" ref="PayerReceiver.model"/> <xsd:element ref="underlyingAsset"/> <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"/> <xsd:element minOccurs="0" name="underlyerPrice" type="Price"/> <xsd:element minOccurs="0" name="underlyerNotional" type="Money"/> <xsd:element minOccurs="0" name="underlyerSpread" type="SpreadScheduleReference"/> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerFinancing" type="UnderlyerInterestLeg"/> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerLoanRate" type="UnderlyerLoanRate"/> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerCollateral" type="Collateral"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 8/9)
constituentWeight

  Type: | ConstituentWeight, complex content

  Specifies the weight of each of the underlyer constituent within the basket, either in absolute or relative terms. This is an optional component, as certain swaps do not specify a specific weight for each of their basket constituents.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"/>

underlyerCollateral

  Type: | Collateral, complex content

  Collateral associated with this underlyer. Note that this is not typical usage, collateral is more often at transaction level
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerCollateral" type="Collateral"/>

underlyerFinancing

  Type: | UnderlyerInterestLeg, complex content

  Financing terms associated with this underlyer
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerFinancing" type="UnderlyerInterestLeg"/>

underlyerLoanRate

  Type: | UnderlyerLoanRate, complex content

  Loan rate terms associated with this underlyer. Commonly used for stock loan. You must not duplicate data elements already contained within dividend conditions at transaction level
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerLoanRate" type="UnderlyerLoanRate"/>

underlyerNotional

  Type: | Money, complex content

  Specifies the notional (i.e. price * quantity) that is associated with each of the basket constituents. This component is optional, as it is not absolutely required to accurately describe the economics of the trade, considering the notional that characterizes the equity swap is associated to the leg of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerNotional" type="Money"/>

underlyerPrice

  Type: | Price, complex content

  Specifies the price that is associated with each of the basket constituents. This component is optional, as it is not absolutely required to accurately describe the economics of the trade, considering the price that characterizes the equity swap is associated to the leg of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerPrice" type="Price"/>

underlyerSpread

  Type: | SpreadScheduleReference, empty content

  Provides a link to the spread schedule used for this underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerSpread" type="SpreadScheduleReference"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 13 elements

  XML Source (see within schema source)

  <xsd:element ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.